#54 closed defect (fixed)

Add "colour" option to fields

Reported by: jo Owned by: nobody
Priority: low Milestone: Munin 1.4
Component: master Version: 1.3.0
Severity: normal Keywords:
Cc: nobody

Description

The colour the fields are plotted with should be configurable.

Attachments (1)

simple_munin_colors.patch (804 bytes) - added by munin@… at 2006-08-22T22:05:52+02:00.
(Very simplistic) patch to munin-graph allow custom coloring of graph lines and areas

Download all attachments as: .zip

Change History (6)

Changed at 2006-08-22T22:05:52+02:00 by munin@…

(Very simplistic) patch to munin-graph allow custom coloring of graph lines and areas

comment:2 Changed at 2006-08-22T22:15:48+02:00 by munin@…

Attached a very simplistic patch to resolve this ticket. Only applies to positive-value lines and areas, because I have no need for the negative values personally and and no motivation to test them, plus that area of the code kind of confused me.

It simply adds a new config option ".colour" to fields. Use as follows:

total.label total
total.draw LINE1
total.colour 000000

NOTE: The use of "rrggbb" instead of "#rrggbb" in the colour field! The # seems to confuse munin's parser, so it MUST be omitted.

I hope someone finds this useful, it's working great for me so far: http://www.eltanin.net/munin/behemoth/behemoth-custom_processes.html

comment:3 Changed at 2006-08-24T13:44:00+02:00 by anonymous

  • Resolution set to fixed
  • Status changed from new to closed

Commited to revision 1047

comment:4 Changed at 2006-10-13T14:28:54+02:00 by bjorn

  • Resolution fixed deleted
  • Status changed from closed to reopened

For this patch to work, "colour" must be added to the @legal array in Munin.pm.

comment:5 Changed at 2006-10-13T15:24:03+02:00 by bjorn

  • Component changed from node to server
  • Resolution set to fixed
  • Status changed from reopened to closed

Fixed in changeset 1120 (trunk) and 1121 (1.2-stable).

Note: See TracTickets for help on using tickets.